# class KValueSelector | Dialog for colour value selection. More...
Definition | `#include <kcolordialog.h>`
Inherits | KSelector [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KValueSelector ( QWidget *parent=0, const char *name=0 )
- KValueSelector ( Orientation o, QWidget *parent = 0, const char *name = 0 )
- int hue () const
- void setHue ( int h )
- int saturation () const
- void setSaturation ( int s )
- void updateContents ()

#### Protected Methods

- virtual void drawPalette ( QPixmap *pixmap )
- virtual void drawContents ( QPainter *painter )

## Detailed Description

Dialog for colour value selection.

See also: KHSSelector, KColorDialog

KValueSelector ( QWidget *parent=0, const char *name=0 ) | ### KValueSelector

Constructs a widget for color selection.

KValueSelector ( Orientation o, QWidget *parent = 0, const char *name = 0 ) | ### KValueSelector

Constructs a widget for color selection with a given orientation

int hue () | ### hue

[const]

void setHue ( int h ) | ### setHue

int saturation () | ### saturation

[const]

void setSaturation ( int s ) | ### setSaturation

void updateContents () | ### updateContents

void drawPalette ( QPixmap *pixmap ) | ### drawPalette

[protected virtual]

Draws the contents of the widget on a pixmap, which is used for buffering.

void resizeEvent ( QResizeEvent * ) | ### resizeEvent

[protected virtual]

Reimplemented from QWidget for internal purposes..

void drawContents ( QPainter *painter ) | ### drawContents

[protected virtual]

Reimplemented from KSelector. The drawing is buffered in a pixmap here. As real drawing routine, drawPalette() is used.

Reimplemented from KSelector.

- Version: $Id: kcolordialog.h,v 1.34 2000/12/21 18:53:18 waba Exp $
- Author: Martin Jones (mjones@kde.org)
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.